{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "getting-started": {
      "projectType": "application",
      "schematics": {},
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/getting-started",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "aot": true,
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "./node_modules/@angular/material/prebuilt-themes/indigo-pink.css",
              "src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "getting-started:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "getting-started:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "getting-started:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "./node_modules/@angular/material/prebuilt-themes/indigo-pink.css",
              "src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json",
              "e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "getting-started:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "getting-started:serve:production"
            }
          }
        }
      }
    },
    "cli-demo": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/cli-demo",
      "sourceRoot": "projects/cli-demo/src",
      "prefix": "cli",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/cli-demo",
            "index": "projects/cli-demo/src/index.html",
            "main": "projects/cli-demo/src/main.ts",
            "polyfills": "projects/cli-demo/src/polyfills.ts",
            "tsConfig": "projects/cli-demo/tsconfig.app.json",
            "aot": true,
            "assets": [
              "projects/cli-demo/src/favicon.ico",
              "projects/cli-demo/src/assets"
            ],
            "styles": [
              "projects/cli-demo/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/cli-demo/src/environments/environment.ts",
                  "with": "projects/cli-demo/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "cli-demo:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "cli-demo:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "cli-demo:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/cli-demo/src/test.ts",
            "polyfills": "projects/cli-demo/src/polyfills.ts",
            "tsConfig": "projects/cli-demo/tsconfig.spec.json",
            "karmaConfig": "projects/cli-demo/karma.conf.js",
            "assets": [
              "projects/cli-demo/src/favicon.ico",
              "projects/cli-demo/src/assets"
            ],
            "styles": [
              "projects/cli-demo/src/styles.scss"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/cli-demo/tsconfig.app.json",
              "projects/cli-demo/tsconfig.spec.json",
              "projects/cli-demo/e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/cli-demo/e2e/protractor.conf.js",
            "devServerTarget": "cli-demo:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "cli-demo:serve:production"
            }
          }
        }
      }
    },
    "product-api": {
      "projectType": "library",
      "root": "projects/product-api",
      "sourceRoot": "projects/product-api/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/product-api/tsconfig.lib.json",
            "project": "projects/product-api/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/product-api/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/product-api/src/test.ts",
            "tsConfig": "projects/product-api/tsconfig.spec.json",
            "karmaConfig": "projects/product-api/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/product-api/tsconfig.lib.json",
              "projects/product-api/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "defaultProject": "getting-started",
  "cli": {
    "analytics": false
  }
}